Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[OT] Monotheka
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) Polish OTW
View previous topic :: View next topic  
Author Message
ryszardzonk
Apprentice
Apprentice


Joined: 18 Dec 2003
Posts: 182
Location: Rzeszów, POLAND

PostPosted: Sun Mar 20, 2005 7:40 am    Post subject: 0.0.3.1 Reply with quote

Hej, dzieki za nową wersje, która działa już bez zarzutu. Mam jedynie dwie uwagi.

1) Czy nim pakiet oficjalnie dostanie się do portage czy nie można by mu było dodać w ebuildzie
RESTRICT="nomirror"? Wiadomo, że chodzi tu o pominięcie zbędnych prób sciągnięcia pakietu z oficjalnych mirrorów, gdzie niektórym którzy ich mają ustawioną wiekszą ilość może być bardzo na rękę

2) Jakiej wersji sqlite obecnie tak naprawdę wymaga monotheka. Zauważyłem że posiadając wersję 2 dostaje informację o konwertowaniu bazy do wersji 3. Po zainstalowaniu nowszej i deinstalacji wersji 2 monotheka działała nadal i informacja o konwersji już się nie pojawiała.

Być może należy zmienić obecne ">=dev-db/sqlite-2*" na ">=dev-db/sqlite".

thx
_________________
Sky is not the limit...
Back to top
View user's profile Send private message
wojtek
n00b
n00b


Joined: 19 Mar 2005
Posts: 65
Location: Krakow/Pszczyna, Poland

PostPosted: Sun Mar 20, 2005 4:37 pm    Post subject: Totalne [OT] Reply with quote

A propos filmów.

Michal, strasznie spodobala mi sie Twoja strona http://www.mdk.org.pl, teksty, scenariusze, zdjecia. Przypomnialy mi się moje zainteresowania przedmaturalne - tez chcialem isc na rezyserie do lodzkiej filmowki, choc chyba sie troche wystraszylem i w koncu sie nie zdecydowalem. Mam jednak wielki sentyment do tamtego okresu, robilem duzo zdjec (jak na mnie oczywiscie), "kadrowalem" slowem zycie i swiat wokoł mnie, poznalem troche ludzi w Katowickiej Szkole Telewizyjnej i Filmowej (chyba jakos tak sie nazywala, mialem do niej najblizej)... Wciaz gdzies to we mnie jest i o sobie przypomina, gdy np. wpadam na taka strone jak Twoja :). Może jeszcze sie na to zdecyduj... tak jak np. Zanussi, kiedys byl nawet wymog by ukonczyc inny kierunek zanim sie bedzie zdawac na rezyserie. Na razie koncze moja pierwsza i odwieczna pasje - informatyke :D.

Ale się rozmarzylem... ;).
Back to top
View user's profile Send private message
mdk
Apprentice
Apprentice


Joined: 30 Sep 2004
Posts: 243
Location: Warsaw / Poland

PostPosted: Mon Mar 21, 2005 7:17 pm    Post subject: Reply with quote

Quote:

1) Czy nim pakiet oficjalnie dostanie się do portage czy nie można by mu było dodać w ebuildzie
RESTRICT="nomirror"?


Słusznie.

Quote:

2)Jakiej wersji sqlite obecnie tak naprawdę wymaga monotheka. Zauważyłem że posiadając wersję 2 dostaje informację o konwertowaniu bazy do wersji 3.


:) To chodzi o wewnętrzny format bazy Monotheki, nie sqlite. Wersja 3 - czyli wersja bazy z Monotheki 0.0.3. Za chwilę będzie wersja 4. Sqlite używane jest w wersji 2.8, i tak jeszcze pewnie długo zostanie. Sqlite > 3 nie jest kompatybilne wstecz z 2.8 (jest to tak naprawdę trochę inna biblioteka) , i nie ma do niego bindingów do mono. ">=dev-db/sqlite-2*" jest potrzebne, żeby określić potrzebę sqlite > 2, ale mniejszego niż 3.

Quote:

Ale się rozmarzylem...


:) Ja się na co dzień zajmuję teatrem, a informatyką hobbistycznie... + zarabiam na życie. Ale wszystko się ze wszystkim bardzo łączy... ostatnio słuchałem Fug Bacha w wykonaniu Glenna Goulda (to co poleciało w kosmos na Voyagerach jako szczytowe osiągnięcie cywilizacji ludzkiej). Absolutne mistrzostwo. Muzyka absolutnie zmatematyzowana, ale gdy się słucha - wyobraźnia się otwiera na rzeczy całkowicie nie-matematyczne.

Napisałem wczoraj plugin do wyciągania informacji o kodekach/rozdzielczości z plików AVI. Możecie pobrać z http://monotheka.enove.pl/files/AVIGet.tar.gz. Sorry za binarkę, ale na razie nie chcę robić nowego release'u z tylko jednym nowym pluginem (szczególnie, że jest eksperymentalny).

Plugin trzeba wypakować do ~/.gnome2/monotheka/Plugins albo globalnie do /usr/lib/Monotheka/Plugins . Napisałem własny binarny parser, więc nie wymaga żadnych dodatkowych zależności.
_________________
Michael Dominic K.
www.mdk.org.pl
Back to top
View user's profile Send private message
tomek_22
Tux's lil' helper
Tux's lil' helper


Joined: 10 Dec 2004
Posts: 93
Location: Poland ---> Lubaczów

PostPosted: Wed Mar 23, 2005 7:37 pm    Post subject: Reply with quote

Code:

tomek@tomek ~ $ monotheka
Initializing database...
Creating fresh database, version 3

Unhandled Exception: System.IndexOutOfRangeException: Array index is out of range.
in <0x000a7> MovieView:.ctor (Gtk.Style,Gtk.Image,Gtk.Image,Gtk.Image,Gtk.Image,Gtk.Label)
in <0x00a1e> Window_Main:.ctor (string[])
in <0x00379> Global:Main (string[])

tomek@tomek ~ $


mono 1.0.6, sqlite 2.8.16 i 3.1.6, poprzednie wersje tzn. 0.0.1-r1 i 0.0.2 chodzily bez problemow, obecna to 0.0.3-r1
_________________
flying with 2.6.11-love2
Back to top
View user's profile Send private message
mdk
Apprentice
Apprentice


Joined: 30 Sep 2004
Posts: 243
Location: Warsaw / Poland

PostPosted: Thu Mar 24, 2005 8:28 pm    Post subject: Reply with quote

Taaa... niedawno zrobiłeś upgrade do gtk-sharp-1.0.8? Znany bug (#902). Ebuild Monotheki 0.0.3-r3 to naprawia. Jako bonus - plugin do czytania z avików, już budowany z source.
_________________
Michael Dominic K.
www.mdk.org.pl
Back to top
View user's profile Send private message
_troll_
Bodhisattva
Bodhisattva


Joined: 04 Feb 2004
Posts: 1971
Location: Warszawa, Poland

PostPosted: Sun Apr 10, 2005 6:40 pm    Post subject: Reply with quote

Takie moje 0.02 PLN....

Potrzebne mi takie narzedzie i z checia je wykorzystam. Ale - dlaczego zawsze znajdzie sie jakis *****, ktory ma 'ale'?? - brak mi jednej rzeczy.... zamiast sqlite, byloby milo gdyby dalo sie calosc sprzegnac w baza danych - jak np. postgresql. Pozwoliloby to na:
- uzywanie zewnetrznych baz (nie musza stac na tej samej maczynie)
- mozliwosc prezentacji danych z BD za pomoca innych interfejsow (na desktopie milej jest zaladowac plytke i nakzac monothece wszystko udpate'owac, ale potem mozna np. stworzyc interfejsy serveltow/php do prezentacji kolejkcji po www)

Daloby rade rozszerzyc monotheke o mozliwosc korzystania z BD? Jesli idzie o mnie - to najchetniej postgresql....

PS. Przejrzalem caly i przeczytalem wiekszosc watku, ale nie znalazlem takiej prozpoycji.... jesli byla to z gory sorry ;-)

Pozdrawiam,
Przemek
_________________
Życie jest jak pudełko czekoladek....
Nigdy nie wiesz na co trafisz" by mother of Forrest Gump
Back to top
View user's profile Send private message
joker
l33t
l33t


Joined: 03 May 2003
Posts: 681
Location: www

PostPosted: Sun Apr 10, 2005 7:11 pm    Post subject: Reply with quote

jest maly problemik z czasem filmu. jak pobiera sie dane z filmweb to w polu czasu wpisuje sie np cos takiego
Code:
115
                                                   dyst.:
                                             <a target="_blank" href="http://www.cinepix.com.pl/" class="n">Cinepix</a>



[edit] a moze jakis plugin co by sciagal okladki do filmow? czy to juz za duze szalenstwo?
_________________
http://amarok.org.pl | http://koffice.org.pl | http://kde.org.pl
Back to top
View user's profile Send private message
remik
n00b
n00b


Joined: 21 Mar 2005
Posts: 41
Location: Poland

PostPosted: Fri Apr 29, 2005 10:30 pm    Post subject: Reply with quote

joker wrote:
jest maly problemik z czasem filmu. jak pobiera sie dane z filmweb to w polu czasu wpisuje sie np cos takiego
Code:
115
                                                   dyst.:
                                             <a target="_blank" href="http://www.cinepix.com.pl/" class="n">Cinepix</a>

Wersja z cvs ma poprawiony ten błąd.
_________________
Look it...
Back to top
View user's profile Send private message
melk0r
n00b
n00b


Joined: 30 Mar 2005
Posts: 30

PostPosted: Sat Apr 30, 2005 7:20 am    Post subject: Reply with quote

[OT]
czy znalazl sie juz ktos, kto bedzie wydawal ebuildy z nowymi wersjami?
monotheka.enove.pl wrote:

In other news - I'm looking for someone to maintain the Gentoo ebuilds for monotheka in future. I recently moved to Archlinux distribution, and it'll be hard for me to keep the ebuilds tested & functional.

[/OT]
Back to top
View user's profile Send private message
remik
n00b
n00b


Joined: 21 Mar 2005
Posts: 41
Location: Poland

PostPosted: Sat Apr 30, 2005 10:37 am    Post subject: Reply with quote

melk0r wrote:
[OT]
czy znalazl sie juz ktos, kto bedzie wydawal ebuildy z nowymi wersjami?
[/OT]


Ja będę sprawdzał czy wszystko działa tuż przed wydaniem nowej wersji. Chce też pokombinować z wersją sqlite żeby wymagało (depend) 2 a nie 3
_________________
Look it...
Back to top
View user's profile Send private message
mdk
Apprentice
Apprentice


Joined: 30 Sep 2004
Posts: 243
Location: Warsaw / Poland

PostPosted: Sat May 14, 2005 10:57 am    Post subject: Reply with quote

@_troll_
Quote:

brak mi jednej rzeczy.... zamiast sqlite, byloby milo gdyby dalo sie calosc sprzegnac w baza danych - jak np. postgresql. Pozwoliloby to na:


Teoretycznie zrobienie czegoś takiego byłoby stosunkowo proste. Do Postgresa (i MySQL) są bindingi w mono. Monotheka używa wewnętrznie kwerend SQL, więc wystaczyłoby zmienić implementację backendu. Kiedyś w przyszłości napewno backend będzie wybieralny... ale na razie, nie ukrywam, nie mam tego w priorytetach... w sumie bardzo "specjalistyczna" funkcja.

@joker
Quote:

jest maly problemik z czasem filmu. jak pobiera sie dane z filmweb to w polu czasu wpisuje sie np cos takiego


Poprawione w 0.0.5 + parę innych drobiazgów z Filmwebem i IMDB również.

@remik
Quote:

ja będę sprawdzał czy wszystko działa tuż przed wydaniem nowej wersji. Chce też pokombinować z wersją sqlite żeby wymagało (depend) 2 a nie 3


Podejrzane jest, że to nie działa! W ebuildzie jest:
Code:

...
>=dev-db/sqlite-2*
...


Co, wg. Ebuild HowTo powoduje:

Quote:

...
=sys-apps/foo-1.2* will select the newest member of the 1.2 series, but will ignore 1.3 and later/earlier series. That is, foo-1.2.3 and foo-1.2.0 are both valid, while foo-1.3.3, foo-1.3.0, and foo-1.1.0 are not.


Pamiętam, że kiedyś to testowałem i działało... tzn. nie pobierało sqlite3.
_________________
Michael Dominic K.
www.mdk.org.pl
Back to top
View user's profile Send private message
remik
n00b
n00b


Joined: 21 Mar 2005
Posts: 41
Location: Poland

PostPosted: Sat May 14, 2005 11:21 am    Post subject: Reply with quote

HowTo ma rację był błąd, prawidłowo jest:
Code:
=dev-db/sqlite-2*

literówka

nowy ebuild poszedł do Ciebie...
_________________
Look it...
Back to top
View user's profile Send private message
tomcio
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2005
Posts: 132
Location: Szczecinek Poland

PostPosted: Sat May 14, 2005 3:17 pm    Post subject: Reply with quote

no popatrzcie, ja to mam pecha bo tez pisaŁEM taką aplikację w C/GNOME :( chyba się spóźniłem

Macie pomysł na inną aplkiację do katalogowania czegokolwiek :?:
Co byście powiedzieli na program do katalogowania książek?
Back to top
View user's profile Send private message
Raku
Bodhisattva
Bodhisattva


Joined: 28 Feb 2004
Posts: 2375
Location: Poland

PostPosted: Sat May 14, 2005 3:57 pm    Post subject: Reply with quote

tomcio wrote:
Macie pomysł na inną aplkiację do katalogowania czegokolwiek :?:


jasne: do katalogowania mp3. i nie pod gnome, tylko qt 8)

szukam od kilku dni czegoś lekkiego, funkcjonalnego i jednocześnie ze zgarbnym i ładnym interfejsem.

coś na kształt amaroka, ale żeby jeszcze katalogował płyty CD.
_________________
raku

Powered by Archlinux ;-)
Back to top
View user's profile Send private message
tomcio
Tux's lil' helper
Tux's lil' helper


Joined: 23 Mar 2005
Posts: 132
Location: Szczecinek Poland

PostPosted: Sat May 14, 2005 4:02 pm    Post subject: Reply with quote

Jasne, to da się zrobić :]

Ale pod gtk, bo nie znam qt:?
Back to top
View user's profile Send private message
remik
n00b
n00b


Joined: 21 Mar 2005
Posts: 41
Location: Poland

PostPosted: Sat May 14, 2005 5:25 pm    Post subject: Reply with quote

To dobrze że pod gtk, bo nie chce powiększać ilość programów pod qt (mam tylko psi i openoffice 1.9.x)

Jak coś zgłaszam się na testy:)
_________________
Look it...
Back to top
View user's profile Send private message
Raku
Bodhisattva
Bodhisattva


Joined: 28 Feb 2004
Posts: 2375
Location: Poland

PostPosted: Sat May 14, 2005 9:58 pm    Post subject: Reply with quote

a ugryźcie się wszyscy... :lol:

nie chcę instalować połowy gnome żeby miec jeden program 8)

zamiast monotheki, która mnie bardzo zainteresowała, zainstalowałem sobie Moviefly. Też bardzo ładne - klon Ant Movie Catalog.

polecam ten program wszystkim, których odstraszyły zależności monotheki
_________________
raku

Powered by Archlinux ;-)
Back to top
View user's profile Send private message
joker
l33t
l33t


Joined: 03 May 2003
Posts: 681
Location: www

PostPosted: Sun May 15, 2005 3:05 pm    Post subject: Reply with quote

no wlasnie fajnie by bylo gdyby monotheka miala tez plugin do obslugi okladek jak juz pisalem wczesniej. mdk - byloby to mozliwe?
_________________
http://amarok.org.pl | http://koffice.org.pl | http://kde.org.pl
Back to top
View user's profile Send private message
ryszardzonk
Apprentice
Apprentice


Joined: 18 Dec 2003
Posts: 182
Location: Rzeszów, POLAND

PostPosted: Tue May 17, 2005 4:16 pm    Post subject: nowe Mono Reply with quote

Witam

Ostatnio zainstalowałem nową wersje mono wraz z gtk-sharp i pozostałymi bibliotekami w najnowszych wersjach (testowych)
Code:
Calculating dependencies ...done!
[ebuild   R   ] dev-lang/mono-1.1.7  +X -debug -icu +nptl 0 kB
Calculating dependencies ...done!
[ebuild    R  ] dev-dotnet/gtk-sharp-1.9.3.1 -doc 0 kB
i dostaję następujący błąd
Code:
...
Checking for required components...
   Checking for pkg dependencies...
      * mono-1.0.6 [OK] (1.1.7)
      * gtk-sharp-1.0.4 [NOT FOUND!] ()


   |--- ERROR ---
   | The required package could not be found in your
   | system! Make sure it's installed and pkg-config'ed
...


Wiem, ze sam program jest pisany pod Mono w wersji 1.1, i pytanie moje jest czy pozostale biblioteki powinienem zainstalowac w nizszych wersjach, czy tez przyszle wersje Monotheki bedą się z nimi instalować. Oczywiście czy ta zmiana by nastąpiła w blizej określonym terminie :wink:
_________________
Sky is not the limit...
Back to top
View user's profile Send private message
kacper
Guru
Guru


Joined: 07 Feb 2004
Posts: 300
Location: Poland, Słubice

PostPosted: Sat May 21, 2005 9:53 pm    Post subject: Reply with quote

Mam mała popozycje, może dałoby rade napisać jakiś plugin dzięki któremy można by było katalogować książki?
Jeśli nie, to może zna ktoś program który takie coś umożliwia?
_________________
http://www.koniec-iti.eu
Back to top
View user's profile Send private message
Raku
Bodhisattva
Bodhisattva


Joined: 28 Feb 2004
Posts: 2375
Location: Poland

PostPosted: Sun May 22, 2005 7:11 pm    Post subject: Reply with quote

kacper wrote:

Jeśli nie, to może zna ktoś program który takie coś umożliwia?


tellico
_________________
raku

Powered by Archlinux ;-)
Back to top
View user's profile Send private message
kacper
Guru
Guru


Joined: 07 Feb 2004
Posts: 300
Location: Poland, Słubice

PostPosted: Mon May 23, 2005 6:50 pm    Post subject: Reply with quote

raku wrote:

tellico

Dzięki! O taki program właśnie mi chodziło.
_________________
http://www.koniec-iti.eu
Back to top
View user's profile Send private message
tomekb
Tux's lil' helper
Tux's lil' helper


Joined: 13 Aug 2005
Posts: 126

PostPosted: Mon Dec 26, 2005 10:36 am    Post subject: Reply with quote

Tak podbije temat. Moze robie to za plecami mdk, ale fajnie by bylo jakby ktos tworzyl ebuildy dla nowych wersji, dla ostatniej nie ma. Ja sie do tego nie zamierzam brac, "masz cos robic, rob to dobrze" :wink: A program jest swietny, dla mnie po prostu idealny. Koniec. Kropka.
Back to top
View user's profile Send private message
remik
n00b
n00b


Joined: 21 Mar 2005
Posts: 41
Location: Poland

PostPosted: Mon Dec 26, 2005 12:29 pm    Post subject: Reply with quote

tomekb wrote:
Tak podbije temat. Moze robie to za plecami mdk, ale fajnie by bylo jakby ktos tworzyl ebuildy dla nowych wersji, dla ostatniej nie ma. Ja sie do tego nie zamierzam brac, "masz cos robic, rob to dobrze" :wink: A program jest swietny, dla mnie po prostu idealny. Koniec. Kropka.

Wystarczy zamienić wersje (opiekowałem się ebuildem, ale nie mam teraz gnome) i powinno działać. Nowa wersja nie ma zbyt wiele nowego. Autor skupił się na Diva'ie.
_________________
Look it...
Back to top
View user's profile Send private message
tomekb
Tux's lil' helper
Tux's lil' helper


Joined: 13 Aug 2005
Posts: 126

PostPosted: Mon Dec 26, 2005 12:46 pm    Post subject: Reply with quote

Wlasnie, jak nie bylo za duzo zmian, to mozna tak zrobic. Dzieki :) Ale to i tak rozwiazanie tymczasowe, no chyba, ze kolejne wersje to beda tylko bugfixy, bo mkd nie bedzie juz rozwijal monotheki. A zreszta, co sie bede martwil na przyszlosc ;) Dla mnie ten program ma juz wystarczajaca funkcjonalnosc, o cos takiego wlasnie mi chodzilo, tylko nie cierpie tego uczucia, ze jest nowa wersja a ja jej nie mam :twisted:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) Polish OTW All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum